<html>
<head>
<title>OgreShaderFFPTexturing.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_1ff0a99c786b1c34b8d04ba7e7285590.html">RTShaderSystem</a>      </li>
      <li class="navelem"><a class="el" href="dir_167378df2bdccc9b313fc91c17987f1d.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreShaderFFPTexturing.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreShaderFFPTexturing_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00009"></a>00009 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00010"></a>00010 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00011"></a>00011 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00012"></a>00012 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00013"></a>00013 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00016"></a>00016 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00017"></a>00017 <span class="comment"></span>
<a name="l00018"></a>00018 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00019"></a>00019 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00020"></a>00020 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00021"></a>00021 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00022"></a>00022 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00023"></a>00023 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00024"></a>00024 <span class="comment">THE SOFTWARE.</span>
<a name="l00025"></a>00025 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00026"></a>00026 <span class="comment">*/</span>
<a name="l00027"></a>00027 <span class="preprocessor">#ifndef _ShaderFFPTextureStage_</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">#define _ShaderFFPTextureStage_</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span>
<a name="l00030"></a>00030 <span class="preprocessor">#include &quot;<a class="code" href="OgreShaderPrerequisites_8h.html">OgreShaderPrerequisites.h</a>&quot;</span>
<a name="l00031"></a>00031 <span class="preprocessor">#ifdef RTSHADER_SYSTEM_BUILD_CORE_SHADERS</span>
<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#include &quot;<a class="code" href="OgreShaderSubRenderState_8h.html">OgreShaderSubRenderState.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreShaderParameter_8h.html">OgreShaderParameter.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderSystem_8h.html">OgreRenderSystem.h</a>&quot;</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre {
<a name="l00037"></a>00037 <span class="keyword">namespace </span>RTShader {
<a name="l00038"></a>00038 
<a name="l00039"></a>00039 
<a name="l00054"></a>00054 <span class="keyword">class </span><a class="code" href="OgreShaderPrerequisites_8h.html#a2e7039d2e7e0e3a2feb2008cc7f4be43">_OgreRTSSExport</a> FFPTexturing : <span class="keyword">public</span> SubRenderState
<a name="l00055"></a>00055 {
<a name="l00056"></a>00056 
<a name="l00057"></a>00057 <span class="comment">// Interface.</span>
<a name="l00058"></a>00058 <span class="keyword">public</span>:
<a name="l00059"></a>00059 
<a name="l00061"></a>00061     FFPTexturing();
<a name="l00062"></a>00062 
<a name="l00066"></a>00066     <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp;   getType                 () <span class="keyword">const</span>;
<a name="l00067"></a>00067 
<a name="l00071"></a>00071     <span class="keyword">virtual</span> <span class="keywordtype">int</span>             getExecutionOrder       () <span class="keyword">const</span>;
<a name="l00072"></a>00072 
<a name="l00076"></a>00076     <span class="keyword">virtual</span> <span class="keywordtype">void</span>            updateGpuProgramsParams (Renderable* rend, Pass* pass, <span class="keyword">const</span> AutoParamDataSource* source, <span class="keyword">const</span> <a class="code" href="group__General.html#gaab30ef14aae93306a6044cb38d835f0c">LightList</a>* pLightList);
<a name="l00077"></a>00077 
<a name="l00081"></a>00081     <span class="keyword">virtual</span> <span class="keywordtype">void</span>            copyFrom                (<span class="keyword">const</span> SubRenderState&amp; rhs);
<a name="l00082"></a>00082 
<a name="l00086"></a>00086     <span class="keyword">virtual</span> <span class="keywordtype">bool</span>            preAddToRenderState     (<span class="keyword">const</span> RenderState* renderState, Pass* srcPass, Pass* dstPass);
<a name="l00087"></a>00087 
<a name="l00088"></a>00088     <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Type;
<a name="l00089"></a>00089 
<a name="l00090"></a>00090 <span class="comment">// Protected types:</span>
<a name="l00091"></a>00091 <span class="keyword">protected</span>:
<a name="l00092"></a>00092 
<a name="l00093"></a>00093     <span class="comment">// Per texture unit parameters.</span>
<a name="l00094"></a>00094     <span class="keyword">struct </span><a class="code" href="OgreShaderPrerequisites_8h.html#a2e7039d2e7e0e3a2feb2008cc7f4be43">_OgreRTSSExport</a> TextureUnitParams
<a name="l00095"></a>00095     {
<a name="l00096"></a>00096         TextureUnitState*       mTextureUnitState;              <span class="comment">// Texture unit state.</span>
<a name="l00097"></a>00097         <span class="keyword">const</span> Frustum*          mTextureProjector;              <span class="comment">// Texture projector.</span>
<a name="l00098"></a>00098         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span>          mTextureSamplerIndex;           <span class="comment">// Texture sampler index.</span>
<a name="l00099"></a>00099         <a class="code" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447" title="Enumeration of the types of constant we may encounter in programs.">GpuConstantType</a>         mTextureSamplerType;            <span class="comment">// Texture sampler index.</span>
<a name="l00100"></a>00100         <a class="code" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447" title="Enumeration of the types of constant we may encounter in programs.">GpuConstantType</a>         mVSInTextureCoordinateType;     <span class="comment">// Vertex shader input texture coordinate type.</span>
<a name="l00101"></a>00101         <a class="code" href="group__Materials.html#ga9c5b2950be06ff56a6ee0bace240d447" title="Enumeration of the types of constant we may encounter in programs.">GpuConstantType</a>         mVSOutTextureCoordinateType;    <span class="comment">// Vertex shader output texture coordinates type.       </span>
<a name="l00102"></a>00102         <a class="code" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31" title="Enum describing the ways to generate texture coordinates.">TexCoordCalcMethod</a>      mTexCoordCalcMethod;            <span class="comment">// Texture coordinates calculation method.</span>
<a name="l00103"></a>00103         <a class="code" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>     mTextureMatrix;                 <span class="comment">// Texture matrix parameter.</span>
<a name="l00104"></a>00104         <a class="code" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>     mTextureViewProjImageMatrix;    <span class="comment">// Texture View Projection Image space matrix parameter.</span>
<a name="l00105"></a>00105         <a class="code" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>     mTextureSampler;                <span class="comment">// Texture sampler parameter.</span>
<a name="l00106"></a>00106         <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>            mVSInputTexCoord;               <span class="comment">// Vertex shader input texture coordinates parameter.</span>
<a name="l00107"></a>00107         <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>            mVSOutputTexCoord;              <span class="comment">// Vertex shader output texture coordinates parameter.</span>
<a name="l00108"></a>00108         <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>            mPSInputTexCoord;               <span class="comment">// Pixel shader input texture coordinates parameter.</span>
<a name="l00109"></a>00109     };
<a name="l00110"></a>00110 
<a name="l00111"></a>00111     <span class="keyword">typedef</span> vector&lt;TextureUnitParams&gt;::type         TextureUnitParamsList;
<a name="l00112"></a>00112     <span class="keyword">typedef</span> TextureUnitParamsList::iterator         TextureUnitParamsIterator;
<a name="l00113"></a>00113     <span class="keyword">typedef</span> TextureUnitParamsList::const_iterator   TextureUnitParamsConstIterator;
<a name="l00114"></a>00114 
<a name="l00115"></a>00115 <span class="comment">// Protected methods</span>
<a name="l00116"></a>00116 <span class="keyword">protected</span>:
<a name="l00117"></a>00117 
<a name="l00122"></a>00122     <span class="keywordtype">void</span>                    setTextureUnitCount     (<span class="keywordtype">size_t</span> count);
<a name="l00123"></a>00123 
<a name="l00127"></a>00127     <span class="keywordtype">size_t</span>                  getTextureUnitCount     ()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mTextureUnitParamsList.size(); }
<a name="l00128"></a>00128 
<a name="l00134"></a>00134     <span class="keywordtype">void</span>                    setTextureUnit          (<span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> index, TextureUnitState* textureUnitState);
<a name="l00135"></a>00135 
<a name="l00139"></a>00139     <span class="keyword">virtual</span> <span class="keywordtype">bool</span>            resolveParameters       (ProgramSet* programSet);
<a name="l00140"></a>00140 
<a name="l00144"></a>00144             <span class="keywordtype">bool</span>            resolveUniformParams    (TextureUnitParams* textureUnitParams, ProgramSet* programSet);
<a name="l00145"></a>00145 
<a name="l00149"></a>00149             <span class="keywordtype">bool</span>            resolveFunctionsParams  (TextureUnitParams* textureUnitParams, ProgramSet* programSet);
<a name="l00150"></a>00150 
<a name="l00154"></a>00154     <span class="keyword">virtual</span> <span class="keywordtype">bool</span>            resolveDependencies     (ProgramSet* programSet);
<a name="l00155"></a>00155 
<a name="l00159"></a>00159     <span class="keyword">virtual</span> <span class="keywordtype">bool</span>            addFunctionInvocations  (ProgramSet* programSet);
<a name="l00160"></a>00160 
<a name="l00161"></a>00161 
<a name="l00165"></a>00165     <span class="keywordtype">bool</span>                    addVSFunctionInvocations(TextureUnitParams* textureUnitParams, Function* vsMain);
<a name="l00166"></a>00166 
<a name="l00170"></a>00170     <span class="keywordtype">bool</span>                    addPSFunctionInvocations(TextureUnitParams* textureUnitParams, Function* psMain, <span class="keywordtype">int</span>&amp; internalCounter);
<a name="l00171"></a>00171 
<a name="l00175"></a>00175     <span class="keyword">virtual</span> <span class="keywordtype">void</span>                    addPSSampleTexelInvocation(TextureUnitParams* textureUnitParams, Function* psMain, 
<a name="l00176"></a>00176         <span class="keyword">const</span> <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>&amp; texel, <span class="keywordtype">int</span> groupOrder, <span class="keywordtype">int</span>&amp; internalCounter);
<a name="l00177"></a>00177 
<a name="l00178"></a>00178     <span class="keyword">virtual</span> <span class="keywordtype">void</span>                    addPSArgumentInvocations(Function* psMain, 
<a name="l00179"></a>00179                                                      <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> arg,
<a name="l00180"></a>00180                                                      <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> texel,
<a name="l00181"></a>00181                                                      <span class="keywordtype">int</span> samplerIndex,
<a name="l00182"></a>00182                                                      <a class="code" href="group__Materials.html#gae2ad78de344f35307ce35157c175625e" title="List of valid sources of values for blending operations used in TextureUnitState::setColourOperation ...">LayerBlendSource</a> blendSrc,
<a name="l00183"></a>00183                                                      <span class="keyword">const</span> ColourValue&amp; colourValue,
<a name="l00184"></a>00184                                                      <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> alphaValue,
<a name="l00185"></a>00185                                                      <span class="keywordtype">bool</span> isAlphaArgument,
<a name="l00186"></a>00186                                                      <span class="keyword">const</span> <span class="keywordtype">int</span> groupOrder, 
<a name="l00187"></a>00187                                                      <span class="keywordtype">int</span>&amp; internalCounter);
<a name="l00188"></a>00188 
<a name="l00189"></a>00189     <span class="keyword">virtual</span> <span class="keywordtype">void</span>                    addPSBlendInvocations(Function* psMain, 
<a name="l00190"></a>00190                                                 <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> arg1,
<a name="l00191"></a>00191                                                 <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> arg2,
<a name="l00192"></a>00192                                                 <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a> texel,
<a name="l00193"></a>00193                                                 <span class="keywordtype">int</span> samplerIndex,
<a name="l00194"></a>00194                                                 <span class="keyword">const</span> LayerBlendModeEx&amp; blendMode,
<a name="l00195"></a>00195                                                 <span class="keyword">const</span> <span class="keywordtype">int</span> groupOrder, 
<a name="l00196"></a>00196                                                 <span class="keywordtype">int</span>&amp; internalCounter,
<a name="l00197"></a>00197                                                 <span class="keywordtype">int</span> targetChannels);
<a name="l00198"></a>00198     
<a name="l00202"></a>00202     <a class="code" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31" title="Enum describing the ways to generate texture coordinates.">TexCoordCalcMethod</a>      getTexCalcMethod        (TextureUnitState* textureUnitState);
<a name="l00203"></a>00203 
<a name="l00207"></a>00207     <span class="keywordtype">bool</span>                    needsTextureMatrix      (TextureUnitState* textureUnitState);
<a name="l00208"></a>00208 
<a name="l00212"></a>00212     <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isProcessingNeeded(TextureUnitState* texUnitState);
<a name="l00213"></a>00213 
<a name="l00214"></a>00214 
<a name="l00215"></a>00215 <span class="comment">// Attributes.</span>
<a name="l00216"></a>00216 <span class="keyword">protected</span>:
<a name="l00217"></a>00217     TextureUnitParamsList   mTextureUnitParamsList;     <span class="comment">// Texture units list.      </span>
<a name="l00218"></a>00218     <a class="code" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>     mWorldMatrix;               <span class="comment">// World matrix parameter.</span>
<a name="l00219"></a>00219     <a class="code" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>     mWorldITMatrix;             <span class="comment">// World inverse transpose matrix parameter.</span>
<a name="l00220"></a>00220     <a class="code" href="group__RTShader.html#gae0e6b89f6ed3986b0a87e2472e3ff7f1">UniformParameterPtr</a>     mViewMatrix;                <span class="comment">// View matrix parameter.           </span>
<a name="l00221"></a>00221     <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>            mVSInputNormal;             <span class="comment">// Vertex shader input normal parameter.</span>
<a name="l00222"></a>00222     <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>            mVSInputPos;                <span class="comment">// Vertex shader input position parameter.      </span>
<a name="l00223"></a>00223     <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>            mPSOutDiffuse;              <span class="comment">// Pixel shader output colour.</span>
<a name="l00224"></a>00224     <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>            mPSDiffuse;                 <span class="comment">// Pixel shader diffuse colour.</span>
<a name="l00225"></a>00225     <a class="code" href="group__RTShader.html#ga9b50e9cfcf817b897c37fc77e67f1bbf">ParameterPtr</a>            mPSSpecular;                <span class="comment">// Pixel shader specular colour.</span>
<a name="l00226"></a>00226 };
<a name="l00227"></a>00227 
<a name="l00228"></a>00228 
<a name="l00233"></a>00233 <span class="keyword">class </span><a class="code" href="OgreShaderPrerequisites_8h.html#a2e7039d2e7e0e3a2feb2008cc7f4be43">_OgreRTSSExport</a> FFPTexturingFactory : <span class="keyword">public</span> SubRenderStateFactory
<a name="l00234"></a>00234 {
<a name="l00235"></a>00235 <span class="keyword">public</span>:
<a name="l00236"></a>00236 
<a name="l00240"></a>00240     <span class="keyword">virtual</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp;   getType             () <span class="keyword">const</span>;
<a name="l00241"></a>00241 
<a name="l00245"></a>00245     <span class="keyword">virtual</span> SubRenderState* createInstance      (ScriptCompiler* compiler, PropertyAbstractNode* prop, Pass* pass, SGScriptTranslator* translator);
<a name="l00246"></a>00246 
<a name="l00250"></a>00250     <span class="keyword">virtual</span> <span class="keywordtype">void</span>            writeInstance       (MaterialSerializer* ser, SubRenderState* subRenderState, Pass* srcPass, Pass* dstPass);
<a name="l00251"></a>00251 
<a name="l00252"></a>00252     
<a name="l00253"></a>00253 <span class="keyword">protected</span>:
<a name="l00254"></a>00254 
<a name="l00258"></a>00258     <span class="keyword">virtual</span> SubRenderState* createInstanceImpl  ();
<a name="l00259"></a>00259 
<a name="l00260"></a>00260 
<a name="l00261"></a>00261 };
<a name="l00262"></a>00262 
<a name="l00267"></a>00267 }
<a name="l00268"></a>00268 }
<a name="l00269"></a>00269 
<a name="l00270"></a>00270 <span class="preprocessor">#endif</span>
<a name="l00271"></a>00271 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00272"></a>00272 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
